# eric3.Graphics.Arrow

Module implementing an arrow canvas widget.

### Classes

Arrow | Class implementing an arrow canvas widget.

### Functions

None

## Arrow

Class implementing an arrow canvas widget.

### Derived from

QCanvasPolygonalItem

### Methods

Arrow | Constructor
calculateHead | Method to calculate the head of the arrow.
createLines | Method to create the lines making up the arrow.
hide | Overriden method to hide the arrow from the canvas.
setFilled | Method to set the filled flag and paint the arrow head.
setPoints | Method to set the start and end point of the arrow.
show | Overriden method to show the arrow on the canvas.
update | Overriden method to update the arrow on the canvas.
updateLines | Method to update the lines.

### Arrow (Constructor)

Arrow(canvas, sx, sy, ex, ey, filled = 0, type = NormalArrow, shortinit = 0)

Constructor

canvas
  canvas containing the arrow (QCanvas)
sx
  x-coordinate of the start point (integer)
sy
  y-coordinate of the start point (integer)
ex
  x-coordinate of the end point (integer)
ey
  y-coordinate of the end point (integer)
filled
  flag indicating a filled arrow (boolean)
type
  type of the arrow. It must be one of
  - NormalArrow (default)
  - WideArrow
shortinit
  flag indicating a short initialization. If this flag is set, the arraow is not updated after creation.

### Arrow.calculateHead

calculateHead()

Method to calculate the head of the arrow.

### Arrow.createLines

createLines()

Method to create the lines making up the arrow.

### Arrow.hide

hide()

Overriden method to hide the arrow from the canvas.

### Arrow.setFilled

setFilled(filled)

Method to set the filled flag and paint the arrow head.

filled
  flag indicating a filled arrow (boolean)

### Arrow.setPoints

setPoints(sx, sy, ex, ey)

Method to set the start and end point of the arrow.

sx
  x-coordinate of the start point (integer)
sy
  y-coordinate of the start point (integer)
ex
  x-coordinate of the end point (integer)
ey
  y-coordinate of the end point (integer)

### Arrow.show

show()

Overriden method to show the arrow on the canvas.

### Arrow.update

update()

Overriden method to update the arrow on the canvas.

### Arrow.updateLines

updateLines()

Method to update the lines.

Up